pfodParser 3.55.0 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Attributes | List of all members
VALUES Struct Reference

`#include <pfodDwgsBase.h>`

## Public Attributes
float | startAngle
float | arcAngle
const char * | text
const __FlashStringHelper * | textF
const char * | units
const __FlashStringHelper * | unitsF
float | reading
uint8_t | haveReading
int32_t | value
uint8_t | haveValue
float | displayMax
float | displayMin
int32_t | max
int32_t | min
int | decPlaces
int | fontSize
uint8_t | bold
uint8_t | italic
uint8_t | underline
int | color
int | backgroundColor
float | width
float | height
float | colOffset
float | rowOffset
uint16_t | idx
float | radius
char | cmd
const char * | cmdStr
char | loadCmd
const char * | loadCmdStr
uint16_t | filter
uint8_t | filled
uint8_t | rounded
uint8_t | encodeOutput
uint8_t | centered
char | align

## Detailed Description

Definition at line 15 of file pfodDwgsBase.h.

## Member Data Documentation

## ◆ align

char VALUES::align

Definition at line 52 of file pfodDwgsBase.h.

## ◆ arcAngle

float VALUES::arcAngle

Definition at line 17 of file pfodDwgsBase.h.

## ◆ backgroundColor

int VALUES::backgroundColor

Definition at line 36 of file pfodDwgsBase.h.

## ◆ bold

uint8_t VALUES::bold

Definition at line 32 of file pfodDwgsBase.h.

## ◆ centered

uint8_t VALUES::centered

Definition at line 51 of file pfodDwgsBase.h.

## ◆ cmd

char VALUES::cmd

Definition at line 43 of file pfodDwgsBase.h.

## ◆ cmdStr

const char* VALUES::cmdStr

Definition at line 44 of file pfodDwgsBase.h.

## ◆ colOffset

float VALUES::colOffset

Definition at line 39 of file pfodDwgsBase.h.

## ◆ color

int VALUES::color

Definition at line 35 of file pfodDwgsBase.h.

## ◆ decPlaces

int VALUES::decPlaces

Definition at line 30 of file pfodDwgsBase.h.

## ◆ displayMax

float VALUES::displayMax

Definition at line 26 of file pfodDwgsBase.h.

## ◆ displayMin

float VALUES::displayMin

Definition at line 27 of file pfodDwgsBase.h.

## ◆ encodeOutput

uint8_t VALUES::encodeOutput

Definition at line 50 of file pfodDwgsBase.h.

## ◆ filled

uint8_t VALUES::filled

Definition at line 48 of file pfodDwgsBase.h.

## ◆ filter

uint16_t VALUES::filter

Definition at line 47 of file pfodDwgsBase.h.

## ◆ fontSize

int VALUES::fontSize

Definition at line 31 of file pfodDwgsBase.h.

## ◆ haveReading

uint8_t VALUES::haveReading

Definition at line 23 of file pfodDwgsBase.h.

## ◆ haveValue

uint8_t VALUES::haveValue

Definition at line 25 of file pfodDwgsBase.h.

## ◆ height

float VALUES::height

Definition at line 38 of file pfodDwgsBase.h.

## ◆ idx

uint16_t VALUES::idx

Definition at line 41 of file pfodDwgsBase.h.

## ◆ italic

uint8_t VALUES::italic

Definition at line 33 of file pfodDwgsBase.h.

## ◆ loadCmd

char VALUES::loadCmd

Definition at line 45 of file pfodDwgsBase.h.

## ◆ loadCmdStr

const char* VALUES::loadCmdStr

Definition at line 46 of file pfodDwgsBase.h.

## ◆ max

int32_t VALUES::max

Definition at line 28 of file pfodDwgsBase.h.

## ◆ min

int32_t VALUES::min

Definition at line 29 of file pfodDwgsBase.h.

## ◆ radius

float VALUES::radius

Definition at line 42 of file pfodDwgsBase.h.

## ◆ reading

float VALUES::reading

Definition at line 22 of file pfodDwgsBase.h.

## ◆ rounded

uint8_t VALUES::rounded

Definition at line 49 of file pfodDwgsBase.h.

## ◆ rowOffset

float VALUES::rowOffset

Definition at line 40 of file pfodDwgsBase.h.

## ◆ startAngle

float VALUES::startAngle

Definition at line 16 of file pfodDwgsBase.h.

## ◆ text

const char* VALUES::text

Definition at line 18 of file pfodDwgsBase.h.

## ◆ textF

const __FlashStringHelper* VALUES::textF

Definition at line 19 of file pfodDwgsBase.h.

## ◆ underline

uint8_t VALUES::underline

Definition at line 34 of file pfodDwgsBase.h.

## ◆ units

const char* VALUES::units

Definition at line 20 of file pfodDwgsBase.h.

## ◆ unitsF

const __FlashStringHelper* VALUES::unitsF

Definition at line 21 of file pfodDwgsBase.h.

## ◆ value

int32_t VALUES::value

Definition at line 24 of file pfodDwgsBase.h.

## ◆ width

float VALUES::width

Definition at line 37 of file pfodDwgsBase.h.